#include "configmenu.h"
#include "../../common/themes.h"
#include <enginend/scenes/node2d.h>
using namespace enginend::nodes::twod::relative;
int configmenupage=0; // 0 is before the mainpage is showing. aka pause menu/main menu when start game
enginend::group maincfgpage= enginend::group(
	{
		new labeledbutton("video",nullptr,clienttheme,0,0.04,1,0.2,std::function<void()>([]() {
			configmenupage=2;
		}),32),
		new labeledbutton("sound",nullptr,clienttheme,0,0.27,1,0.2,std::function<void()>([]() {
			
		}),32),
		new labeledbutton("input",nullptr,clienttheme,0,0.51,1,0.2,std::function<void()>([]() {
			
		}),32),
		new labeledbutton("back",nullptr,clienttheme,0,0.75,1,0.2,std::function<void()>([]() {
			configmenupage=0;
		}),32),
		
	}
);

enginend::group graphics= enginend::group(
{
	new labeledbutton("fullscreen",nullptr,clienttheme,0,0.04,1,0.2,std::function<void()>([]() {
		(dynamic_cast<labeledbutton*>(graphics.children[0]))->boolean^=true;
	}),32,true),
	new labeledbutton("back",nullptr,clienttheme,0,0.75,1,0.2,std::function<void()>([]() {
		configmenupage=1;
	}),32),
	}
);
enginend::group sound= enginend::group(
	{
		
	}
);
enginend::group controls= enginend::group(
	{
		
	}
);

